CentOS 7 on Hyper-V

General support questions
Post Reply
sydbarrett74
Posts: 1
Joined: 2014/07/18 09:38:56

CentOS 7 on Hyper-V

Post by sydbarrett74 » 2014/07/18 09:53:52

Hi all,

I'm running a CentOS 7 x64 VM under Hyper-V on a Win8.1 Pro x64 host. The VM is Gen1.

When I go to mount the Microsoft Linux Integration Components DVD and run the install.sh script as root, I get the following errors:

Image

Any help would be greatly appreciated.

Cheers!

User avatar
TrevorH
Forum Moderator
Posts: 29628
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: CentOS 7 on Hyper-V

Post by TrevorH » 2014/07/18 11:19:28

The rhel63 in that name shows the package is not for CentOS 7 but for CentOS 6. Better ask Microsoft for a newer one...
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

tycoonbob
Posts: 6
Joined: 2014/07/18 15:31:08

Re: CentOS 7 on Hyper-V

Post by tycoonbob » 2014/07/18 15:37:49

You don't need to install the LIS (Linux Integration Services) when running CentOS7 in Hyper-V on Windows 8.1/Server 2012 R2. As of EL6.4, Hyper-V drivers and all that were included.

You can even use a Generation 2 VM for RHEL/CentOS 7.

http://technet.microsoft.com/en-us/libr ... 31026.aspx

mevans336
Posts: 47
Joined: 2007/09/06 15:19:57
Contact:

Re: CentOS 7 on Hyper-V

Post by mevans336 » 2014/07/19 19:21:24

tycoonbob wrote:You don't need to install the LIS (Linux Integration Services) when running CentOS7 in Hyper-V on Windows 8.1/Server 2012 R2. As of EL6.4, Hyper-V drivers and all that were included.

You can even use a Generation 2 VM for RHEL/CentOS 7.

http://technet.microsoft.com/en-us/libr ... 31026.aspx
You can use a Gen2 VM as long as you disable Secure Boot.

Post Reply

Return to “CentOS 7 - General Support”